using UnityEngine;
using UnityEngine.UI;

namespace Intrepid.Gameplay.Codex.UI.Components
{
    public abstract class CodexColorEffectUI : MonoBehaviour
    {
        public abstract void Apply(Graphic target, Color targetColor);
        
        public virtual void Stop(Graphic target)
        {
        }
    }
}